Bug 138713 - Installer shows blank screen in text AND GUI mode
Installer shows blank screen in text AND GUI mode
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-11-10 15:16 EST by Adam Dorsey
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 16:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Dorsey 2004-11-10 15:16:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.1.4322)

Description of problem:
On install, Linux loads, lots of stuff goes scrolling by.  If you 
look carefully you can see something like "vesa probe failed: error(-
6)".  Loading completes, and the screen blanks, but nothing else 
happens.  Nothing is displayed onscreen in either text or GUI mode.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download Fedora Core 3 final release DVD image, burn to DVD
2. Insert DVD, reboot computer
3. Load installer with boot:linux, boot:linux text

Actual Results:  Installer loads, comes up with blank screen

Expected Results:  Installer should have came on screen in either 
text or GUI mode

Additional info:

Acer Ferrari 3200 laptop computer
Video card is an ATI Radeon Mobility 9700.  
Processor is an Athlon 64 Mobile 2800+.
512 MB 333 DDR ram
80 GB hard drive
Comment 1 Jeremy Katz 2004-11-10 16:05:48 EST
Does booting with 'linux nofb' help?
Comment 2 Adam Dorsey 2004-11-10 20:33:29 EST
booted with 
boot:linux video=vesafb:nomtrr vga=0x317
Installer came up perfectly and the installed kernel worked perfectly.
Comment 3 John Levon 2005-07-25 16:15:01 EDT
I don't understand - why is this 'WORKSFORME' ? Working only on specification of
some obscure option doesn't seem like WFM.
Comment 4 Adam Dorsey 2005-07-27 10:53:10 EDT
Well, in the install notes for Fedora Core 3 and 4, it mentions the "linux nofb"
option, which works (and is a whole lot easier to type than that other mess i
came up with).  It's something peculiar to laptop displays I think, because I've
never had it occur on any of the desktop machines I've used linux on.  Also it's
something relatively recent, because Fedora Core 2 didn't do this.

I'm not very familiar with Bugzilla, and if I remember right, it defaulted to
WORKSFORME.  Should I change it?
Comment 5 Jeremy Katz 2005-09-21 16:55:58 EDT
WORKSFORME is reasonable -- we're looking at removing the vga16fb stuff for FC5
which would make thsi problem go away

Note You need to log in before you can comment on or make changes to this bug.